Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Stopwatch Class Reference

Provides IDs and names for different stopwatch tasks; makros are used to provide real stopwatch functionality with that. More...

`#include <Stopwatch.h>`

List of all members.

## Public Types
enum | StopwatchEventID { imageProcessor, sensorDataProcessor, ballLocator, teamBallLocator, selfLocator, playersLocator, obstaclesLocator, behaviorControl, motionControl, soundControl, specialVision, perceptBehaviorControl, sensorBehaviorControl, headControl, collisionDetector, robotStateDetector, numberOfStopwatchEventIDs = 100 }
enum | StopwatchEventID { numberOfStopwatchEventIDs = 100 }
## Static Public Member Functions
DebugKeyTable::debugKeyID | getDebugKeyID (enum StopwatchEventID stopwatchEventID)
const char * | getStopwatchEventIDName (enum StopwatchEventID stopwatchEventID)
const char * | getStopwatchEventIDName (enum StopwatchEventID stopwatchEventID)

## Detailed Description

Provides IDs and names for different stopwatch tasks; makros are used to provide real stopwatch functionality with that.

Definition at line 25 of file Stopwatch.h.

## Member Enumeration Documentation

enum Stopwatch::StopwatchEventID

  | Enumeration values:
  imageProcessor |
  sensorDataProcessor |
  ballLocator |
  teamBallLocator |
  selfLocator |
  playersLocator |
  obstaclesLocator |
  behaviorControl |
  motionControl |
  soundControl |
  specialVision |
  perceptBehaviorControl |
  sensorBehaviorControl |
  headControl |
  collisionDetector |
  robotStateDetector |
  numberOfStopwatchEventIDs |
Definition at line 28 of file Stopwatch.h.

enum Stopwatch::StopwatchEventID

  | Enumeration values:
  numberOfStopwatchEventIDs |
Definition at line 18 of file Stopwatch2.h.

## Member Function Documentation

DebugKeyTable::debugKeyID Stopwatch::getDebugKeyID | ( | enum StopwatchEventID | stopwatchEventID | ) | `[inline, static]`

| Definition at line 50 of file Stopwatch.h. References ASSERT, ballLocator, behaviorControl, collisionDetector, headControl, motionControl, obstaclesLocator, perceptBehaviorControl, playersLocator, robotStateDetector, sensorBehaviorControl, sensorDataProcessor, soundControl, specialVision, and teamBallLocator.

const char* Stopwatch::getStopwatchEventIDName | ( | enum StopwatchEventID | stopwatchEventID | ) | `[inline, static]`

| Definition at line 78 of file Stopwatch.h. References ballLocator, behaviorControl, collisionDetector, headControl, motionControl, obstaclesLocator, perceptBehaviorControl, playersLocator, robotStateDetector, sensorBehaviorControl, sensorDataProcessor, soundControl, specialVision, and teamBallLocator.

const char* Stopwatch::getStopwatchEventIDName | ( | enum StopwatchEventID | stopwatchEventID | ) | `[inline, static]`

| Definition at line 23 of file Stopwatch2.h.

The documentation for this class was generated from the following files:

- Tools/Debugging/Stopwatch.h
- Tools/Debugging/Stopwatch2.h